# KFcondQR Class Reference

Kalman Filter with conditional diagonal matrices R and Q. More...

`#include <libKF.h>`

Inheritance diagram for KFcondQR:

[legend]
Collaboration diagram for KFcondQR:

[legend]

List of all members.

## Public Member Functions
| KFcondQR (RV rvx, RV rvy, RV rvu, RV rvRQ)
| Default constructor.
void | condition (const vec &RQ)
| Substitute `val` for `rvc`.
void | set_parameters (const mat &A0, const mat &B0, const mat &C0, const mat &D0, const ldmat &R0, const ldmat &Q0)
| Set parameters with check of relevance.
void | set_est (const vec &mu0, const ldmat &P0)
| Set estimate values, used e.g. in initialization.
void | bayes (const vec &dt)
| Here dt = [yt;ut] of appropriate dimensions.
const epdf & | _epdf () const
| access function
const enorm< ldmat > * | _e () const
| Returns a pointer to the epdf representing posterior density on parameters. Use with care!
mat & | __K ()
| access function
vec | _dP ()
| access function
virtual void | bayesB (const mat &Dt)
| Batch Bayes rule (columns of Dt are observations).
virtual double | logpred (const vec &dt) const
vec | logpred_m (const mat &dt) const
| Matrix version of logpred.
virtual epdf * | predictor (const RV &rv) const
| Constructs a predictive density (marginal density on data).
const RV & | _rv () const
| access function
double | _ll () const
| access function
void | set_evalll (bool evl0)
| access function
virtual BM * | _copy_ (bool changerv=false)
const RV & | _rvc () const
| access function
## Protected Attributes
RV | rvy
| Indetifier of output rv.
RV | rvu
| Indetifier of exogeneous rv.
int | dimx
| cache of rv.count()
int | dimy
| cache of rvy.count()
int | dimu
| cache of rvu.count()
mat | A
| Matrix A.
mat | B
| Matrix B.
mat | C
| Matrix C.
mat | D
| Matrix D.
ldmat | Q
| Matrix Q in square-root form.
ldmat | R
| Matrix R in square-root form.
enorm< ldmat > | est
| posterior density on $x_t$
enorm< ldmat > | fy
| preditive density on $y_t$
mat | _K
| placeholder for Kalman gain
vec & | _yp
| cache of fy.mu
ldmat & | _Ry
| cache of fy.R
vec & | _mu
| cache of est.mu
ldmat & | _P
| cache of est.R
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save computational time.
RV | rvc
| Identificator of the conditioning variable.

## Detailed Description

Kalman Filter with conditional diagonal matrices R and Q.

## Member Function Documentation

virtual double BM::logpred | ( | const vec & | dt | ) | const`[inline, virtual, inherited]`

Evaluates predictive log-likelihood of the given data record I.e. marginal likelihood of the data with the posterior integrated out.

Reimplemented in ARX, MixEF, and multiBM.

Referenced by BM::logpred_m().

virtual BM* BM::_copy_ | ( | bool | changerv = `false` | ) | `[inline, virtual, inherited]`

Copy function required in vectors, Arrays of BM etc. Have to be DELETED manually! Prototype: BM* _copy_(){BM Tmp*=new Tmp(this*); return Tmp; }

Reimplemented in ARX, and BMEF.

The documentation for this class was generated from the following files:

- work/git/mixpp/bdm/estim/libKF.h
- work/git/mixpp/bdm/estim/libKF.cpp